import {
  FETCH_RELEASED_INVESTIGATIONS_FULFILLED,
  FETCH_RELEASED_INVESTIGATIONS_PENDING,
  LOG_OUT,
} from '../constants/actionTypes';

const initialState = { fetching: false, fetched: false, data: [], error: null };

const releasedInvestigations = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_RELEASED_INVESTIGATIONS_PENDING: {
      state = { ...state, fetched: false, fetching: true };
      break;
    }
    case FETCH_RELEASED_INVESTIGATIONS_FULFILLED: {
      state = {
        ...state,
        data: action.payload.data.map((object) => object.Investigation),
        fetched: true,
        fetching: false,
      };
      break;
    }
    case LOG_OUT: {
      state = { ...state, fetching: false, fetched: false, data: [] };
      break;
    }
    default:
      break;
  }
  return state;
};

export default releasedInvestigations;
